Mythtranscode error

Have a MythTV related problem? Ask for help from other MythTV users here.

Moderator: Forum Moderators

Post Reply
mlab
Newcomer
Posts: 2
Joined: Thu Jan 11, 2018 9:28 pm
Canada

Mythtranscode error

Post by mlab » Mon Oct 28, 2019 6:02 pm

Greetings,

I've been using MythTV v28 for some time now and have just made the upgrade to v30 (and with that also upgraded to debian 10). Everything seems to be working just fine with the exception of mythtranscode, which errors out a couple of seconds after starting. Looking through the logs, the problem seems to be: CoreContext recorders/NuppelVideoRecorder.cpp:618 (SetupAVCodecVideo) - NVR(): Unable to open FFMPEG/mpeg4 codec

I built the installation from source with --enable-libmp3lame --enable-libx264 --enable-libx265 --enable-libxvid options enabled
and ffmpeg -codecs indicates that I have mpeg4 codecs installed. Currently I have mythbackend running as root so there should be no permissions related issues accessing libraries.

Has anyone experienced a similar issue with mythtranscode before? Any ideas as to what else to check?

Any help would be greatly appreciated. Thanks

Post Reply